Subject: Re: [PATCH v3 0/10] getcwd without PATH_MAX

From: Jeff King <[email-masked]>
Date: Mon, 28 Jul 2014 15:19:13 -0400

On Mon, Jul 28, 2014 at 08:21:22PM +0200, René Scharfe wrote:

> Paths longer than PATH_MAX can be created and used on at least on some
> file systems.  Currently we use getcwd() generally with a PATH_MAX-
> sized buffer.  This series adds two functions, strbuf_getcwd() and
> xgetcwd(), then uses them to reduce the number of fixed-sized buffers
> and to allow us to handle longer working directory paths.

With the exception of the potential strbuf_reset/init I pointed out, all
of these look sane to me.

-Peff